httpd

Error al instalar wordpress en Fedora 18

Posted on Actualizado enn

Al instalar wordpress en un server casero con los procedimientos básicos de instalación (Apache, MySQL, PHP) me da el siguiente error:

error, extensión de mysql.
error libreria mysql
error libreria mysql

No esta demás de que generes el siguiente archivo (info.php) en  /var/www/html/ para que te serciores de que tienes suficiente soporte de librerías de mysql en php, recuerda que el echo de que tengas instalado MySQL no significa que ya tienes soporte para todo.

El archivo lo creamos de la siguiente manera:

  • En tu terminal y con permisos de SuperUser tecleas lo siguiente:

cd  /var/www/html

vim ifo.php

  • (entraras al editor  vim, presionas insert para comenzar a programar unas simple líneas):

<?php

echo phpinfo();

?>

  • (Al terminar de escribir lo anterior presionas :wq! )

El :wq! es para guardar el archivo.

(Te aparecerá todo la información de PHP con su respectivo soporte de mysql, he aquí donde recide el problema que escribí al principio, te das cuenta de que no tienes soporte para mysql ).

  • La solución fue instalar todas las librerías posibles, de la siguiente manera:

Para httpd:    yum -y install httpd*

Para MySQL: yum -y install mysqld*

Puedes instalar el gestor gráfico para MySQL (phpmyadmin):

yum -y install phpmyadmin

  • Reiniciamos los servicios:

service httpd restart

service mysqld restart

Y listo! ya quedo solucionado el problema de  —Parece que tu instalación de PHP no cuenta con la extensión de MySQL, necesaria para hacer funcionar WordPress—

Si revisas nuevamente en tu navegador: http://localhost/ifo.php

Te darás cuenta de que ya incluyes soporte de mysql. 🙂

Ahora si ya puedes dirigirte a tu navegador tecleando http://localhost/carpetadewordpress

Ya podrás instalar a gusto wordpress !!!